Subject: Ticket Assigned - Delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 17 Apr 2022 05:15:00 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear sir/Mam,

I purchased 2 baby beds on 9April from Al Qasimia Branch in Sharjah, and the delivery schedule was for today 16Apr, still I haven't recived any update. 

The first time I called the call center at 1:20PM today she told me its from homebox, I called homebox he told me its from baby shop. 

I called her again at 1:35 and she was saying I cant help without the order number, which I didnt recived I have only the invoice number 21470101469420220409. 

I am so frustrated as no one is able to support and she is telling me to go to the shop and check with them, when we did the purchase we provided two mobile number 0503929894 and 0502418004. 

Appreciate asking somebody to contact me at 0503929894 to solve the issue. 

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4187022